### Function

# GLib unix_signal_add

since: 2.30

#### Declaration

    guint
    g_unix_signal_add (
      gint signum,
      GSourceFunc handler,
      gpointer user_data
    )

#### Description

A convenience function for g_unix_signal_source_new(), which attaches to the default `GMainContext`. You can remove the watch using g_source_remove().

Available since: 2.30

This function is not directly available to language bindings.

The implementation of this function is provided by `g_unix_signal_add_full()` in language bindings.

#### Parameters

`signum`

  Type: `gint`

  Signal number.

`handler`

  Type: `GSourceFunc`

  Callback.

`user_data`

  Type: `gpointer`

  Data for `handler`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `guint`

An ID (greater than 0) for the event source.